ALAS-2018-1074


Amazon Linux AMI Security Advisory: ALAS-2018-1074
Advisory Release Date: 2018-09-06 22:02 Pacific
Severity: Important

Issue Overview:

A vulnerability was found in libpq, the default PostgreSQL client library where libpq failed to properly reset its internal state between connections. If an affected version of libpq were used with "host" or "hostaddr" connection parameters from untrusted input, attackers could bypass client-side connection security features, obtain access to higher privileged connections or potentially cause other impact through SQL injection, by causing the PQescape() functions to malfunction.(CVE-2018-10915 )

It was discovered that PostgreSQL failed to properly check authorization on certain statements involved with "INSERT ... ON CONFLICT DO UPDATE". An attacker with "CREATE TABLE" privileges could exploit this to read arbitrary bytes server memory. If the attacker also had certain "INSERT" and limited "UPDATE" privileges to a particular table, they could exploit this to update other columns in the same table.(CVE-2018-10925 )


Affected Packages:

postgresql96


Issue Correction:
Run yum update postgresql96 to update your system.

New Packages:
i686:
    postgresql96-plperl-9.6.10-1.81.amzn1.i686
    postgresql96-devel-9.6.10-1.81.amzn1.i686
    postgresql96-server-9.6.10-1.81.amzn1.i686
    postgresql96-plpython26-9.6.10-1.81.amzn1.i686
    postgresql96-debuginfo-9.6.10-1.81.amzn1.i686
    postgresql96-test-9.6.10-1.81.amzn1.i686
    postgresql96-plpython27-9.6.10-1.81.amzn1.i686
    postgresql96-contrib-9.6.10-1.81.amzn1.i686
    postgresql96-9.6.10-1.81.amzn1.i686
    postgresql96-static-9.6.10-1.81.amzn1.i686
    postgresql96-docs-9.6.10-1.81.amzn1.i686
    postgresql96-libs-9.6.10-1.81.amzn1.i686

src:
    postgresql96-9.6.10-1.81.amzn1.src

x86_64:
    postgresql96-plpython26-9.6.10-1.81.amzn1.x86_64
    postgresql96-docs-9.6.10-1.81.amzn1.x86_64
    postgresql96-9.6.10-1.81.amzn1.x86_64
    postgresql96-plperl-9.6.10-1.81.amzn1.x86_64
    postgresql96-debuginfo-9.6.10-1.81.amzn1.x86_64
    postgresql96-test-9.6.10-1.81.amzn1.x86_64
    postgresql96-devel-9.6.10-1.81.amzn1.x86_64
    postgresql96-plpython27-9.6.10-1.81.amzn1.x86_64
    postgresql96-libs-9.6.10-1.81.amzn1.x86_64
    postgresql96-contrib-9.6.10-1.81.amzn1.x86_64
    postgresql96-static-9.6.10-1.81.amzn1.x86_64
    postgresql96-server-9.6.10-1.81.amzn1.x86_64